
Redmine - Defect #21695

Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id"

2016-01-11 12:25 - Markus Flattinger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version: 3.1.3

Description

WARNING: Can't mass-assign protected attributes for IssueRelation: issue_to_id

    app/models/issue_relation.rb:89:in `initialize'

    app/controllers/issue_relations_controller.rb:43:in `create'

    lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 
Environment:

  Redmine version                3.1.3.stable.15058

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Darcs                          2.8.5

  Mercurial                      3.1.2

  Cvs                            1.12.13

  Bazaar                         2.7.0

  Git                            2.1.4

  Filesystem

Redmine plugins:

  redmine_agile                  1.3.8

  redmine_pretend                0.0.3

Associated revisions

Revision 15063 - 2016-01-16 09:56 - Jean-Philippe Lang

Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id" (#21695).

History

#1 - 2016-01-16 09:57 - Jean-Philippe Lang

- Subject changed from Slow responce on relation creation and Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id" to

Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id"

- Category changed from Performance to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

The warning is fixed in r15063. Please open a ticket for the performance issue and provide your debug log so we can see what slows things down.

Thanks.

#2 - 2016-02-08 04:36 - Toshi MARUYAMA

- Description updated
